GPIOCHARGER(4)

NAME
gpiocharger - GPIO battery charger

SYNOPSIS
gpiocharger* at fdt?

DESCRIPTION
The gpiocharger driver provides support for battery chargers connected to GPIO pins. Currently, only power supply status events are supported.

The power supply status (connected or disconnected) is set up as a sensor and can be monitored using sysctl(8) or sensorsd(8).

SEE ALSO
gpio(4), intro(4), sensorsd(8), sysctl(8)

HISTORY
The gpiocharger driver first appeared in OpenBSD 7.1.

AUTHORS
-nosplit The gpiocharger driver was written by Klemens Nanni <kn@openbsd.org>.